slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetPurify

Deactivate eigenvector purification (which is activated by default).

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetPurify(EPS eps,PetscBool purify)

Logically Collective

### Input Parameters

| eps | - the eigensolver context
| purify | - whether purification is required or not

### Options Database Keys

| -eps_purify <boolean> | - Sets/resets the boolean flag 'purify'

### Notes

By default, eigenvectors of generalized symmetric eigenproblems are purified in order to purge directions in the nullspace of matrix B. If the user knows that B is non-singular, then purification can be safely deactivated and some computational cost is avoided (this is particularly important in interval computations).

### See Also

EPSGetPurify(), EPSSetInterval()

### Level

intermediate

### Location

src/eps/interface/epsopts.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages